# Type alias Options<TTable>

Options<TTable>: {
aggregate?: "count" | "sum" | "avg" | "min" | "max";
deep?: DeepClient<Link<Id>>;
mini?: string;
name?: string;
returning?: string;
subscription?: boolean;
table?: TTable;
tableNamePostfix?: string;
variables?: any;
}

#### Type Parameters

- TTable extends Table = "links"

#### Type declaration

- ##### `Optional` aggregate?: "count" | "sum" | "avg" | "min" | "max"

- ##### `Optional` deep?: DeepClient<Link<Id>>

- ##### `Optional` mini?: string

- ##### `Optional` name?: string

- ##### `Optional` returning?: string

- ##### `Optional` subscription?: boolean

- ##### `Optional` table?: TTable

- ##### `Optional` tableNamePostfix?: string

- ##### `Optional` variables?: any

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2071